Subject: bug#68313: closed (Re: [bug#72071] [PATCH 0/2] A clean series of patches)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Aug 2024 10:39:02 +0000

Your bug report

#68313: Build hdf5-parallel-openmpi.powerpc64le-linux on master is broken.

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
68313: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=68313
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#72071] [PATCH 0/2] A clean series of patches
From: Ludovic Courtès <[email-masked]>
To: Luca Cirrottola <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 19 Aug 2024 12:37:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Luca,

Luca Cirrottola <[email-masked]> skribis:

> Hello Ludo', following your suggestion, I have implemented a simpler
> solution that just skips off the problematic test (without moving
> around files). I send a new patch series with the full modifications
> to be applied to the recipe, containing one commit for the package
> version update, and one commit for skipping the test.
>
> Let me know if it looks better (no pressure).
>
> Thanks,
> Luca
>
> Luca Cirrottola (2):
>   Solve issue https://issues.guix.gnu.org/68313 by updating HDF5 version
>     to 1.14.3 (containing the official fix
>     https://github.com/HDFGroup/hdf5/pull/3421).
>   Skip test_check_version since the patch-settings phase needs to modify
>     the test reference file.

I reorganized the changes a bit; in particular, since skipping the test
is necessary for 1.14.3 to build, I squashed the upgrade and the test
skip in the same commit.

Also, the test change would break [email-masked], so I moved that to [email-masked].

The result is:

  84c62cf166 * gnu: hdf5-parallel-openmpi: Update to 1.14.x.
  832f2bcb92 * gnu: [email-masked]: Update to 1.14.3.

Tested with:

  ./pre-inst-env guix build --no-grafts \
    [email-masked] [email-masked] hdf5-parallel-openmpi [email-masked]

Thanks!

Ludo’.

Subject: Re: Build hdf5-parallel-openmpi.powerpc64le-linux on master is broken.
From: Maxim Cournoyer <[email-masked]>
To: bug-guix <[email-masked]>
Date: Sun, 07 Jan 2024 22:19:15 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] (Cuirass) writes:

> <p>The build <b>hdf5-parallel-openmpi.powerpc64le-linux</b> for specification <b>master</b>
> is broken. You can find the detailed information about this build <a
> href="https://ci.guix.gnu.org/build/3175009/details">here</a>.</p>
>
> https://ci.guix.gnu.org/build/3175009/details

Sample output:

--8<---------------cut here---------------start------------->8---
Atomicity Test Failed Process 4: read_buf[2038] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2039] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2040] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2041] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2042] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2043] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2044] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2045] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2046] is 5, should be 0
Atomicity Test Failed Process 4: read_buf[2047] is 5, should be 0
Testing  -- Store Dense Attributes (denseattr) 
Testing  -- Store Dense Attributes (denseattr) 
Testing  -- Store Dense Attributes (denseattr) 
Testing  -- Store Dense Attributes (denseattr) 
Testing  -- Store Dense Attributes (denseattr) 
Testing  -- Store Dense Attributes (denseattr) 
Testing  -- Collective Metadata read with some ranks having no selection (noselcollmdread) 
Testing  -- Collective Metadata read with some ranks having no selection (noselcollmdread) 
Testing  -- Collective Metadata read with some ranks having no selection (noselcollmdread) 
Testing  -- Collective Metadata read with some ranks having no selection (noselcollmdread) 
Testing  -- Collective Metadata read with some ranks having no selection (noselcollmdread) 
Testing  -- Collective Metadata read with some ranks having no selection (noselcollmdread) 
Testing  -- Collective MD read with multi chunk I/O (H5D__chunk_addrmap) (MC_coll_MD_read) 
Testing  -- Collective MD read with multi chunk I/O (H5D__chunk_addrmap) (MC_coll_MD_read) 
Testing  -- Collective MD read with multi chunk I/O (H5D__chunk_addrmap) (MC_coll_MD_read) 
Testing  -- Collective MD read with multi chunk I/O (H5D__chunk_addrmap) (MC_coll_MD_read) 
Testing  -- Collective MD read with multi chunk I/O (H5D__chunk_addrmap) (MC_coll_MD_read) 
Testing  -- Collective MD read with multi chunk I/O (H5D__chunk_addrmap) (MC_coll_MD_read) 
Testing  -- Collective MD read with link chunk I/O (H5D__sort_chunk) (LC_coll_MD_read) 
Testing  -- Collective MD read with link chunk I/O (H5D__sort_chunk) (LC_coll_MD_read) 
Testing  -- Collective MD read with link chunk I/O (H5D__sort_chunk) (LC_coll_MD_read) 
Testing  -- Collective MD read with link chunk I/O (H5D__sort_chunk) (LC_coll_MD_read) 
Testing  -- Collective MD read with link chunk I/O (H5D__sort_chunk) (LC_coll_MD_read) 
Testing  -- Collective MD read with link chunk I/O (H5D__sort_chunk) (LC_coll_MD_read) 

All tests were successful. 

All tests were successful. 

All tests were successful. 

All tests were successful. 

All tests were successful. 

All tests were successful. 

===================================
***PHDF5 tests detected 1040 errors***
===================================
--8<---------------cut here---------------end--------------->8---

-- 
Thanks,
Maxim